Introduction to Report Generator

About the Report Generator

The Report Generator enables you to generate and print reports directly from the oscilloscope. It enhances the application capabilities by simplifying the process of creating and maintaining reports.

The Report Generator automates the process of compiling the test results and generating the reports.

It allows you to set up the template layout using the factory default templates or custom templates. The Report Generator allows you to save files in the custom file formats such as .rgt, .rpl, or .rpt. and the generated reports can be saved as .rtf files. The Report Generator is integrated with the application.

See Also:

Starting the Report Generator

About Report Layout Editor

About Report Viewer

About Template Editor


Starting the Report Generator

Report Generator

Analyze > Power Analysis > Report

You can generate and print reports directly from the oscilloscope.

Perform the following steps to generate a report:

  1. Create a new or edit an existing test template.
  2. Define a new or edit an existing report layout.
  3. Generate, print, or view a report.


Create or edit a test template.

Report > Define Test Template

You can create a new test template or edit an existing template.

To create a new test template:

  1. Under the Define Test Template tab, select New Test Template.

  2. The Template Editor window appears with an empty client area.

  3. Create the template using the Palette list.

  4. After you have completed creating a new test template, select Done.

See Template Editor for more information about Template Editor.

To edit an existing test template:

  1. Under the Define Test Template tab, select Browse.

  2. The open window displays the existing factory default templates and customized templates in C:\TekApplications\<application>\ReportGenerator\Templates.

  3. Select the template that you want to use and select Open.

  4. In the Define Test Template tab, select Edit Template.

  5. The Template Editor window appears with client area displaying the selected template.

  6. Edit the template using the Palette list.

  7. After you have completed editing an existing test template, select Done.

See Template Editor for more information about Template Editor.


Define or edit a report layout

Report > Define Report Layout

You can create a new report layout or edit an existing report layout.

To create a new report layout:

  1. Under the Define Report Layout tab, select New Layout.

  2. The Report Layout Editor window appears with an empty report layout area.

  3. Create the report by defining the report layout and dragging and dropping the templates to the report layout area.

  4. After you have completed creating a new report layout, select Done.

See Report Layout Editor for more information about Report Layout Editor.

To edit an existing report layout:

  1. Under the Define Report Layout tab, select Browse.

  2. The Open window displays the existing factory default report layout and customized report layouts in C:\TekApplications\\ReportGenerator\Layouts.

  3. Select the report layout that you want to use and select Open.

  4. In the Define Report Layout tab, select Edit Layout.

  5. The Report Layout Editor window appears with report layout area displaying the customized report layout and selected template files.

  6. Edit the report layout using the List of Templates and defining the Report Layout.

  7. After you have completed editing an existing report layout, select Done.

See Report Layout Editor for more information about Report Layout Editor.


Generate, print or view a report

Report > Generate Report

You can generate, print, or view a report.

To generate a report

  1. Under the Generate Report tab, select Browse.

  2. The Open window displays the existing reports in C:\TekApplications\\ReportGenerator\Reports.

  3. Select the report that you want to generate and select Open.

  4. Under the Generate Report tab, select Generate Report.

  5. In the Assign Data to Report dialog box, select a test template in this report to assign the current data from your measurement application.

  6. Select Assign. The Report Viewer displays the report with current data from the application. You can choose to export to the report in an rtf format.

To print a report

  1. Under the Generate Report tab, select Browse.

  2. The Open window displays the existing reports in C:\TekApplications\\ReportGenerator\Reports.

  3. Select the report that you want to print and select Open. The Report Viewer displays the selected report with current data from the application.

  4. If the page settings do not match the page settings for the Report, a Page Size Mismatch message box displays a message — The current page settings do not match the page settings for the Report. Do you want to continue?

    • Click Yes to continue.

    • Click No to stop printing the report.

  5. If the printer is available, the report is printed.


Introduction to Report Viewer

About Report Viewer

The Report Viewer allows you to view the generated report.

Under the Generate Report tab, select Load Report or Generate Report to display the Report Viewer and browse for the report that you want to view or generate.

See Also

Using Report Viewer


Report Viewer Window

The Report Viewer window contains a menu bar, a toolbar, an align/size bar, and a client area.

See the following topics for more information about each of these interface elements:

Menus

Toolbars

Align or Size bar

Status bar


Report Viewer | Menus

The menu bar has the following menus.

File

Edit

View

Object

Help


File menu

Menu selection | Description
Open | Opens a template file.
Save | Saves changes to the file.
Save As | Saves the template under a different file name using the Save as dialog box.
Print | Prints all or part of the contents of the active template.
Print Preview | Displays a sample view of the active template as it would be printed.
Print Setup | Prompts you to set up the Printer.
Export to RTF | Exports the report in .rtf (rich text format).
List of recent templates | Opens a previously (recent) opened template.
Exit | Closes the Report Viewer.


Edit menu

The available edit menu selections depend on whether a field is selected.

Menu selection | Description
Cut | Cuts the selected fields and places them on the clipboard.
Copy | Copies the selected fields to the clipboard.
Paste | Pastes the clipboard content.
Delete | Deletes the selected fields.
Select All | Selects all the fields.
Add Text Field | Adds a text field to the report.
Find | Finds the data matching the search criteria entered.
Replace | Replaces the data matching the search criteria with the specified data.
Go To | Goes to the page number specified in the Go To Page dialog box.


View menu

A tick mark ( [image]) appears next to the selected menu item.

Menu selection | Description
Toolbar | Displays/Hides the Standard toolbar.
Align/Size Bar | Displays/Hides the Align/Size toolbar.
Status Bar | Displays/Hides the Status bar.
Separators | Displays/Hides the separators.


Object menu

The available object menu selections depend on whether a field in the client area is selected.

Menu selection | Description
Bring To Front | Brings the selected field to front.
Send To Back | Sends the selected field to back.
Hide Text / Show Text | Shows or hides the caption of the selected field.
Position Caption on Top/to the Left | Positions the caption of the selected field to left or on top.
Edit Text | Allows you to edit the text in the selected field.
Change Font | Allows you to change the font of the selected field or the caption using the Change Font dialog box.
Align Fields | Aligns fields to the top, bottom, left, or right.
Make Same Size | Resizes the selected fields to the same size by height, width, or both.


Help menu

Menu selection | Description
Help Topics | Displays the online help.
About Report Viewer | Displays version and copyright information.


Standard Toolbar

View > Toolbar

Enable the Standard Toolbar by selecting it in the View >Toolbar menu.


Align or Size bar

View > Align/Size bar

Enable the Align/Size Toolbar by selecting it in the View >Align/Size bar menu.


Status bar

The Status bar displays the status of the application and tool tips for selected options.


Separators

View > Separators

Shows or hides the template separators.


Using Report Viewer

  1. Select File> Open. The Open dialog box displays all the reports in the default directory — C:\TekApplications\\ReportGenerator\Reports.

  2. Select the report that you want to view and select Open.

  3. The Report Viewer displays the selected report.

  1. Select Edit > Add Text Field. The Edit Text dialog box appears.

  2. In the Text field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  3. In the Edit Text dialog box, select OK.

  1. Select Edit > Find. The Find dialog box appears.

  2. In the Find what field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  3. In the Find dialog box, select Find Next until you find that text for which you are searching.

  1. Select Edit > Replace. The Replace dialog box appears.

  2. In the Find what field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  3. In the Replace with field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  4. In the Replace dialog box,

  • Select Find Next to find the text for which you are searching.

  • Select Replace to replace one instance of the text that you want to replace.

  • Select Replace All to replace all instances of the text that you want to replace.

  • Select Cancel to cancel the operation and close the dialog box.

Using Report Viewer

Click on each of these link to use the Report Viewer:

  • To view a report

  • To edit text

  • To find text

  • To replace text

You can select some objects and bring to front or send to back. You can show/hide text, position caption to the left, or on top. You can edit text, or change font. You can align selected fields or make the selected fields to same size. You can export a report as an rtf.


Export to RTF

File> Export to RTF

You can export a report as an .rtf (rich text format) file.


Find

Edit > Find

You can search for text in the report.

  1. Select Edit > Find.

  2. In Find dialog box, enter the search string using the Virtual Keyboard.

  3. Select Find Next until you find the required search string.


Replace

Edit > Replace

You can search and replace the text in the report.

  1. Select Edit > Replace.

  2. In Replace dialog box, enter the search string using the Virtual Keyboard in the Find what field.

  3. In Replace with field, using the Virtual Keyboard enter the replacement string.

  4. Select Find Next until you find the required search string.

  5. Select Replace to replace one instance of the string.
    or
    Select Replace All to replace all instances of the string.

  6. Click Cancel after you have replaced the strings.


Bring To Front

Object > Bring To Front

You can bring the selected fields to the front.


Send To Back

Object > Send To Back

You can send the selected fields to the back.


Show/Hide Text

Object > Show/Hide Text

You can show or hide the captions for the selected fields.


Position Caption

Object > Position Caption to the Left, or on Top

You can position the caption of the selected fields on either the left or on the top.


Edit Text

Edit Caption

Object > Edit Caption

You can edit the caption of the selected parameter or object.

  1. Select Object > Edit Caption.

  2. In Edit Caption dialog box, select [image] to enter the caption using the Virtual Keyboard.

  3. Click OK.


Change Font

Object > Change Font

You can change font for the selected field in the report.

  1. Select the fields or fields in the report.

  2. Select Object > Change Font or right-click on the field to display the options.

  3. In the Font dialog box, choose the font size, color, style, and effects.

  4. Click OK.


Make Same Size

Object > Make Same Size

You can make the selected fields the same height, width, or both.

  1. Select the fields in the report.

  2. Select Object > Make Same Size > Height, Width, or Both to make the selected fields to the same size.


Align Fields

Object > Align Fields

You can align the fields to the top, bottom, left, or right.

  1. Select the fields in the report.

  2. Select Object > Align Fields > Top, Bottom, Left, or Right to align the fields accordingly.


Report Layout Editor

About Report Layout Editor

The Report Layout Editor helps you define the report layout for generating reports. The report layout, once created can be reused for generating multiple reports.

You can select the number of test templates per page and position the templates in the report. The report can have multiple pages with different template sizes. Each template is a sub report with a unique test title. This unique test title helps you select the required template when generating a report. You can define headers and footers for the report layout.

To display the Report Layout Editor, select Define Report Layout > New Layout.

The Report Layout Editor window has two panes:

  • List of Templates: Displays a list of templates, template sizes, template folders, and buttons that allow you to clear or place a template in a report layout tile and to create new templates.

  • Report Layout : Displays the selected report layout and the header, footer definition.


Report Layout Editor Parameters

Report Layout Editor Default Settings

Parameter | Selection | Default setting
Report Layout | Layout | Four tests per page
Page Size | Page Setup | 8.5 X 11inches
Layout Editor | None | One page
Go to | Edit | Displays the current page number in the page layout
Font | None | Arial > Regular 9
Default Margin Size | None | Margin size on all sides of the paper is 0.8 inches


Report Layout Editor Window

The Report Layout Editor window contains a menu bar, a tool bar, a list of templates pane, and a report layout pane.

See the following topics for more information about each of these interface elements:

Menus

Toolbars

List of Templates pane

Report Layout pane

Status bar


List of Templates pane

The List of Templates pane displays the path of the template, templates in the folder, file names, and template sizes. You can select the template from this list and place it in the Report Layout pane.

In the List of Templates pane, you can do the following:

  • Select a different path where you have saved the customized templates by using the Virtual Keyboard or clicking the Directory button that displays a Browse for Folder window.

  • Create a new template by selecting New. The Template Editor Window is displayed, where you can create a new template.

  • Drag and drop the Template File into the report layout pane's tile or select the template file and click Place on Tile >>.

  • Clear the selected tile in the report layout pane by clicking << Clear Tile.


Report Layout pane

Depending on the number of tests selected per page, the Report Layout pane appears as shown by the following figure:

In the Report Layout pane, you can do the following:

  • Specify a title for each test.

  • Define or modify the header and footer.

  • Navigate between pages of the report layout.


Report Layout Editor | Menus

The menu bar has the following menus.

File

Edit

View

Layout

Page

Help


RLE_File menu

Report Layout Editor | File menu

Menu selection | Description
New | Creates a new layout.
Open | Opens a report layout file.
Save | Saves changes to the file.
Save As | Saves the report layout to a different file name using the Save as dialog box.
Page Setup | Prints all or part of the contents of the active template.
Configure Page | Configures the paper size, source, orientation, and margins using the Page Setup dialog box.
Default (8.5" X 11") | Configures the page setup to default — 8.5" X 11"
Layout Preview | Displays a sample view of the active report layout as it would be printed.
List of recent report layouts | Opens a previously (recent) opened report layouts.
Exit | Closes the Report Layout Editor.


RLE_Edit menu

Report Layout Editor | Edit menu

Menu selection | Description
Go To | Goes to the page entered in the Go To Page dialog box.


RLE_View menu

Report Layout Editor | View menu

A tick mark ( [image]) appears next to the menu item selected.

Menu selection | Description
Toolbar | Displays or Hides the selected toolbars such as Standard, Page, Layout, and Action.
Status Bar | Displays or Hides the Status bar.
Refresh Template List | Refreshes the Template list in the List of Templates pane.


RLE_Layout menu

Report Layout Editor | Layout menu

A tick mark ( [image]) appears next to the menu item selected.

Menu selection | Description
One Test Per Page | Changes the report layout to fit one test per page.
Two Tests Per Page | Changes the report layout to fit two tests per page.
Four Tests Per Page | Changes the report layout to fit four tests per page.


RLE_Page menu

Report Layout Editor | Page menu

Menu selection | Description
Insert Blank |
Before Current Page | Inserts a blank page before the current page.
After Current Page | Inserts a blank page after the current page.
Insert Copy |
Before Current Page | Inserts a copy of the current page before the current page.
After Current Page | Inserts a copy of the current page after the current page.
Delete | Deletes the current page.


RLE_Help menu

Report Layout Editor | Help menu

Menu selection | Description
Help Topics | Displays the online help.
About Template Editor | Displays version and copyright information.


Report Layout Editor | Toolbars

The Report Layout Editor has the following toolbars. You can choose display or hide these toolbars using View > Toolbars.

Standard

Page

Layout

Action


Report Layout Editor | Standard toolbar

View > Toolbars > Standard

Enable the Standard Toolbar by selecting it in the View >Toolbars menu.


Report Layout Editor | Layout toolbar

View > Toolbars > Layout

Enable the Layout Toolbar by selecting it in the View >Toolbars menu.


Report Layout Editor | Page toolbar

View > Toolbars > Page

Enable the Page Toolbar by selecting it in the View >Toolbars menu.


Report Layout Editor | Action toolbar

View > Toolbars > Action

Enable the Action Toolbar by selecting it in the View >Toolbars menu.


Using Report Layout Editor

To define a report layout, perform the following steps:

  1. Set the report layout.

  2. Select Layout > One Test Per Page / Two Tests Per Page / Three Tests Per Page. The Report Layout pane displays tiles depending on the selected number of tests per page.

  2. Add the templates.

  3. The List of Templates pane displays the templates in the default directory —C:\TekApplications\<application>\ReportGenerator\Templates.

  4. From the List of Templates pane, drag and drop the templates into the tiles in the Report Layout pane. You can use the Place on Tile and Clear Tile buttons to move the templates to the tiles and to clear the tiles.

  5. If you want to define a new template, select New in the List of Templates pane.

  6. To browse for a different folder other than the default templates, select Directory to display Browse for Folder dialog box. Navigate to the folder where you have the templates stored and select OK.

  3. Define Header and Footer.

  4. Save the report layout.

  5. Select File> Save to display the Save dialog box. Enter the report layout name and select Save.

  6. The report layout is saved in the .rpl format.

To edit an existing report layout, perform the following steps:

  1. Change the report layout.

  • Select Layout > One Test Per Page / Two Tests Per Page / Three Tests Per Page. The Report Layout pane displays tiles depending on the selected number of tests per page.

  • The application displays an alert message — All the Test(s) information in the current page will be lost. Do you want to continue?

  • Select Yes to continue or No to stop.

  2. Add or Remove the templates.

  • In the Report Layout pane, select the tile to which you want to add or remove the template.

  • To remove a template from the Report Layout, complete the following steps:

    • In the List of Templates pane, select Clear Tile.

    • The application displays an alert message — The test is already filled with data. Do you want to remove it?

    • Select Yes to continue or No to stop.

  3. To add a template to the Report Layout, complete the following steps:

    • The List of Templates pane displays the templates in the default directory —C:\TekApplications\<application>\ReportGenerator\Templates.

    • From the List of Templates pane, drag and drop the templates into the tiles in the Report Layout pane. Select the Place on Tile button to move the template to the selected tile.

    • If you want to define a new template, select New in the List of Templates pane.

    • To browse for a different folder other than the default templates, select Directory to display the Browse for Folder dialog box. Navigate to the folder where you have the templates stored and select OK.

  4. Modify Header and Footer.

  5. Save the report layout.

  • Select File> Save to display the Save dialog box. Enter the report layout name and select Save.

  • The report layout is saved in the .rpl format.

Note: Each report can only have up to five pages.


Configure Page

File> Page Setup> Configure Page

You can configure the paper size, source, orientation, and margins.

After you configure the page setup, select OK.


Go To Page

Edit> Go To

You can go to different pages in the report layout using the Go To Page dialog box.

  1. In the Enter Page Number field, enter the page number or select [image] to display the Virtual keyboard.

  2. Select Go To. The Report Layout pane displays the relevant page.


Change Report Layout

You can change the report layout to fit one, two, or four tests per page.

Layout > One Test Per Page / Two Tests Per Page / Four Tests Per Page

or


Header and Footer Definition

Header/Footer Definition

To modify Header Definition, do the following:

  1. In the Report Layout pane, click Header - Click to Modify.

  2. In the Header/Footer Definition dialog box, select the header position - Header Left, Header Center, or Header Right.

  3. Enter the Header definition in the text box.
    Select [image] to display the Virtual Keyboard. In the Virtual Keyboard, select the text and select Enter.
    or
    To insert the special text, select the Insert Special Text button to display a sub menu. Select Date, File Name, Author, Page X of Y, Page X, or Logo.

  4. Select Set Font to change the font style, size, effects, color, and script for each field separately, and then select OK.

  5. In the Header/Footer Definition dialog box, select OK.

To modify Footer Definition, do the following:

  1. In the Report Layout pane, click Footer - Click to Modify.

  2. In the Header/Footer Definition dialog box, select the footer position - Footer Left, Footer Center, or Footer Right.

  3. Enter the Footer definition in the text box.

    Select [image] to display the Virtual Keyboard. In the Virtual Keyboard, select the text and select     Enter.
    or
    To insert the special text, select the     Insert Special Text button to display a sub menu. Select Date, File Name, Author, Page X of Y, Page X, or Logo.

  4. Select Set Font to change the font style, size, effects, color, and script for each field separately, and then select OK.

  5. In the Header/Footer Definition dialog box, select OK.


Insert New Pages

Insert Pages

  • Select Page> Insert Blank > Before Current Page / After Current Page to insert a new page before the current page or after the current page.

  • Select Page> Insert Copy > Before Current Page / After Current Page to insert copy of the current page before the current page or after the current page.

Note: When you insert a copy of a page before or after the current page, the layout of the current page is the same layout as the new page.


Template Editor

About Template Editor

The Report Generator allows you to create templates apart from providing you with factory default templates. Use the Template Editor to create and edit templates in the .rgt format (report generator template). A template stores the fields and their positions. You can save the templates and reuse them in any number of reports or report layouts. You can cut, copy, and paste across templates. Once the report is generated, the application fills in the fields of the template using the acquired data from the oscilloscope.

The Template Editor has a palette list that displays the following groups of fields: the DPOPWR Fields, Oscilloscope Fields, and Native Fields. The template editor provides you with the option to create custom groups; these groups once created, appear in the palette list. The fields are listed according to the group selected. You can use these fields to design and create a template.

You can place the fields in the template, and then move and size them appropriately. Multiple fields can be selected and placed in the template. You can select more than one field and make the following changes: cut, copy, paste, align, delete, size, edit font, and change caption of the fields.

Once a template is defined and saved, either click Done to close the template editor, or use the Layout icon to directly go to the report layout editor.

See Also

Using Template Editor


Template Editor Parameters

Template Editor Default Settings

Parameter | Selection | Default setting
Page Size | Change Template Size | 8.5x11inches
Palette List | None | Displays application fields by default. If there are no application fields, the oscilloscope fields are displayed.
Static Text | Static Text | Inserts My Static Text.
Fields | None | The default size of the field dragged into the template is 200 X 300 pixels.


Template Editor Window

The Template Editor window contains a menu bar, a toolbar, a client area, a palette list, and a status bar. When you select the New Template button in your application, the client area in the Template Editor Window is empty. When you select the Edit Template button in your application, the client area displays the selected template.

See the following topics for more information about each of these interface elements:

Menus

Toolbars

Palette List

Status bar


Palette List

View> Palette Toolbar

The Palette List is a floating toolbar that has a list of Native Fields,<application> fields, and oscilloscope fields grouped logically. You can drag and drop fields from the palette list into the template. The palette toolbar is displayed by default; you can show or hide the toolbar by selecting View> Palette Toolbar.

The Palette list groups the fields into the following categories:

  • Native fields — Static Text, Rectangle, Line, Logo, Table, Date and Time.

  • <Application> fields — Fields related to the application. The <Application> is replaced with the application from which you opened Report Generator. The <Application> field is displayed as DPOPWR fields because you opened Report Generator from DPOPWR.

  • Oscilloscope fields — Groups of fields related to the data acquired from the oscilloscope.

  • Custom groups — Custom groups that you created.


Native Fields

You can enhance the report using the following parameters from the Native fields — Static Text, Rectangle, Line, Logo, Table, Date, and Time.

You can drag any fields from the Native field and drop it in the active template.

Static Text

  1. From the Native fields, drag and drop the static text.

  2. In the Edit Text dialog box,

  • Click [image].

  • In the Virtual Keyboard, select the text and select Enter.

  3. Click OK.

Rectangle

From the Native Fields, drag and drop the Rectangle into the Active Template.

The black squares that appear at the corners of the rectangle allow you to increase the size.

Line

From the Native Fields, drag and drop the Line into the Active Template.

The black squares that appear at the corners of the line allow you to increase the size.

Logo

  1. From the Native Fields, drag and drop the Logo into the Active Template.

  2. In the Edit Image dialog box,

  • Select [image].

  • In the Virtual Keyboard, enter the path and filename and select Enter.
    Or

  • Select Browse to navigate to the location where the image is available.

  3. Click OK.

Table

  1. From the Native Fields, drag and drop the Table into the Active Template.

  2. In the Edit Table dialog box, you can select the number of rows and columns.

  • Select [image] next to Number of Rows and Number of Columns to edit the number.

  • In the Virtual Keypad, enter the number and select Enter.

  3. Click OK.

Date and Time

From the Native fields, drag and drop the Date and Time.


Oscilloscope Fields

These fields are grouped into ten different groups:

  • Waveform Group: The Waveform group has all the active live channels and independent channels (only CH1 to CH4) waveforms in both jpeg and bmp. These waveforms are generated to smoothen out the stair-step effect seen on the display.

  • Vertical Group: The Vertical group has all vertical related fields, including the vertical scale, position, and the offset.

  • Horizontal Group: The Horizontal group has all horizontal related fields, including the horizontal divisions, scale, record length, position, and the sample rate.

  • Math Group: The Math group has all the math related fields including the math definition for a specified math channel, magnitude, spectral gate, spectral phase, spectral window, and the spectral frequencies of the math channel.

  • Trigger Group: The Trigger group has all trigger related fields, including the trigger type, mode, level, and various fields related to different trigger types.

  • Measurement Group: The Measurement group has all the measurements, including the eight automated measurements and the immediate measurements.

  • Acquisition Group: The Acquisition group has all acquisition related fields, including the acquisition mode, acquisition state, repetitive mode, and the fast acquisition mode.

  • Cursor Group: The Cursor group has all the cursor related fields, including the cursor mode, source, state and type of the cursor, H Bars, and the V Bars.

  • Zoom Group: The Zoom group has all zoom related fields, including the zoom horizontal position, and the horizontal scale.

  • Histogram Group: The Histogram group has all histogram fields, including the co-ordinates of histogram box mode, size, and the source.

  • Screen snapshot: The Screen Snapshot group has two variations: one in color and the other in black-and-white. For these screenshots, the attributes are graticule, ink-saver, and jpeg.


Menus

The menu bar has the following menus.

File

Edit

View

Object

Window

Help


File menu

Template Editor | File menu

Menu selection | Description
New | Creates a new template.
Open | Opens a template file.
Close | Closes the active template.
Save | Saves changes to the file.
Save As | Saves the template to a different file name using the Save as dialog box.
Print | Prints all or part of the contents of the active template.
Print Preview | Displays a sample view of the active template as it would be printed.
List of recent templates | Opens a recently opened template.
Exit | Closes the Template Editor.


Edit menu

The available Edit menu selections depend on whether a template is active. In other words, the client area is empty or has a template open.

Menu selection | Description
Cut | Cuts the selected fields.
Copy | Copies the selected fields.
Paste | Pastes the clipboard content.
Delete | Deletes the selected fields.
Select All | Selects all the fields.
Create Custom Group | Creates a custom group.
Edit Custom Group | Edits the custom group.
Change Template Size | Changes the template size.
Find | Finds the data matching the search criteria.
Replace | Replaces the data matching the search criteria with the specified data.


View menu

A tick mark ( [image]) appears next to the selected menu item.

Menu selection | Description
Toolbar | Displays/Hides the selected toolbars such as Standard, Align Size, Layout, and Action.
Status Bar | Displays/Hides the Status bar.
Palette Bar | Displays/Hides the Palette Bar.
Grid Lines | Displays/Hides the Grid Lines in the client area.


Object menu

The available object menu selections depend on whether a parameter in the client area is selected or not.

Menu selection | Description
Bring To Front | Brings the selected fields to front.
Send To Back | Sends the selected fields to back.
Hide Text / Show Text | Shows or hides the caption of the selected parameter.
Position Caption on Top/to the Left | Positions the caption of the selected parameter to left or on top.
Edit Caption | Allows you to edit the caption of the selected parameter.
Change Font | Allows you to change the font of the selected parameter or the caption using the Change Font dialog box.
Align Fields | Aligns fields to top, bottom, left, or right.
Make Same Size | Resizes the selected objects to the same size by height, width, or both.


Window menu

Menu selection | Description
New Window | Opens a new window duplicating the current active window.
Cascade | Arranges the open templates in the client area from the upper left side to lower right side so that they overlap one another.
Tile | Arranges the open templates horizontally and vertically in the application client area without overlapping.
Arrange Icons | Arranges the icons of any templates you have minimized to the bottom-left of the window.
List of open templates. | Allows you to jump to another open template.


Help menu

Menu selection | Description
Help Topics | Displays the online help.
About Template Editor | Displays version and copyright information.


RG_TE_Toolbar

Toolbars

The Template Editor has the following toolbars. You can choose to display or hide these toolbars using View > Toolbars.

Standard

Align/Size

Layout

Action


Standard Toolbar

View > Toolbar > Standard

Enable the Standard Toolbar by selecting it in the View >Toolbar menu.


Align or Size toolbar

Align/Size

View > Toolbar > Align/Size

Enable the Align/Size Toolbar by selecting it in the View >Toolbar menu.


Layout Toolbar

View > Toolbar > Layout

Enable the Layout Toolbar by selecting it in the View >Toolbar menu.


Action toolbar

View > Toolbar > Action

Enable the Action Toolbar by selecting it in the View >Toolbar menu.

The Layout button also prompts to save documents.


Using Template Editor

To create a new template:

  1. From the Palette List, drag and drop the fields that you want in the report.

  2. If you drag and drop a group from the Palette List, all the fields within the group are placed in the active template.

  3. Organize the fields as you want them to appear in the report.

  4. After you have finished creating the template, select File > Save.

To edit an existing template:

  1. Organize the fields as you want them to appear in the report.

  2. From the Palette List, drag and drop the fields that you want in the report.

  3. If you drag and drop a group from the Palette List, all the fields within the group are placed in the active template.

  4. Organize the fields as you want them to appear in the report.

  5. After you have finished editing the template, select File > Save.

You can create custom group, edit custom group, and change template size.

You can also edit caption, change font, align fields, and make selected fields same size.

For more information on application interface of the Template Editor, refer to Template Editor Window.


Creating Custom Groups

Edit > Create Custom Group

You can create custom groups using any fields from the Palette List.

  1. Select Edit > Create Custom Group.

  2. In the Create Custom Group dialog box, enter the group name. You can enter the group name using the Virtual Keyboard.

  3. Click Next. The Select Fields dialog box displays all the fields of the Palette List.

  4. Using Add>>, Add All, <<Remove, or Remove All, select the fields you want to include in the new group.

  5. Click Finish.


Editing Custom Groups

Edit > Edit Custom Group

You can edit custom groups.

  1. Select Edit > Edit Custom Group.

  2. In the Edit Custom Group dialog box, select a group to edit.

  3. Click Next.

  4. In the Select Fields dialog box, select the fields you want to add or remove from the group using Add>>, Add All, <<Remove, or Remove All.

  5. Click Finish.


Delete Custom Groups

Edit > Edit Custom Group

You can delete custom groups.

  1. Select Edit > Edit Custom Group.

  2. In the Edit Custom Group dialog box, select a group to delete.

  3. Click Delete. A message box appears asking you to confirm your choice.

  4. Select Yes to delete.


Changing Template Size

Change Template Size

Edit > Change Template Size

You can change the size and page setup for a template.

  1. Select Edit> Change Template Size.

  2. In the Change Template dialog box,

  • Select the Template Size as 1/4 page, 1/2 page, or Full page.

  • If the printer is not available, select the Page Size as Default (8.5" x 11"); otherwise, select Configure Page.

  • In Page Setup dialog box, select the paper size, source, orientation, and margins.

  • Click OK to return to Change Template Size dialog box.

  3. Click OK.

Note: Do not reduce the template size beyond the content filled in the template. You may lose information.


Select Fields

Select All

Edit > Select All

To cut, copy, or delete the fields from the active template, you need to select the fields. You can also select the fields from the active template by clicking CTRL+ selecting the fields.


Find

Edit > Find

You can search for text in the active template.

  1. Select Edit > Find.

  2. In the Find dialog box, enter the search string using the Virtual Keyboard.

  3. Select Find Next until you find the required search string.


Replace

Edit > Replace

You can search and replace the text in the active template.

  1. Select Edit > Replace.

  2. In the Replace dialog box, enter the search string using the Virtual Keyboard in the Find what field.

  3. In the Replace with field, using the Virtual Keyboard, enter the replacement string.

  4. Select Find Next until you find the required search string.

  5. Select Replace to replace one instance of the string.
    or
    Select Replace All to replace all instances of the string.

  6. Click Cancel after you have replaced the strings.


Editing Caption

Object > Edit Caption

You can edit the caption of the selected parameter or object.

  1. Select Object > Edit Caption.

  2. In the Edit Caption dialog box, select [image] to enter the caption using the Virtual Keyboard.

  3. Click OK.


Change Font

Object > Change Font

You can change font for the selected field in the template.

  1. Select the fields or fields in the active template.

  2. Select Object > Change Font or right click the field to display the options.

  3. In the Font dialog box, choose the font size, color and style, and effects.

  4. Click OK.


Align Fields

Object > Align Fields

You can align the fields to top, bottom, left, or right.

  1. Select the fields in the active template.

  2. Select Object > Align Fields > Top, Bottom, Left, or Right to align the fields accordingly.


Make Same Size

Object > Make Same Size

You can set the selected fields to same height, width, or both.

  1. Select the fields in the active template.

  2. Select Object > Make Same Size > Height, Width, or Both to make the selected fields the same size.


Error Codes

Report Generator Error Codes

Error code

Error message

Description

Possible solution

Report Generator Interface Error Codes

741

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

The Application FDB File path retrieved from registry is corrupted or invalid file path.

Uninstall the application and try reinstalling.

742

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

Application Id retrieved from registry is invalid. (<0)

Uninstall the application and try reinstalling.

743

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

Application version is invalid.

Uninstall the application and try reinstalling.

744

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

Not able to spawn Report Viewer.

Report Viewer executable file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

745

Internal initialization error. The application will exit now.

The Memory Map File or synchronization events for communication with RGScope are already open. The application was previously not shut down completely. Try closing RGScope.

The application was not closed completely last time. A module RGScope might be still running in the background. Try closing it.

746

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not able to spawn Oscilloscope Interface.

RGScope file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

747

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

The application FDB File read failed. The file may be read only.

Uninstall the application and try reinstalling.

748

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

The Acc application FDB File read failed. The file may be read only.

Uninstall the application and try reinstalling.

749

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not invoked by the desired application. The application Name passed by the invoking application is not found in the registry.

Uninstall the application and try reinstalling.

750

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not able to spawn the Report Layout Editor.

The Report Layout Editor executable file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

751

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not able to spawn the Template Editor.

Template Editor executable file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

Report Layout Editor Error Codes

721

Some installation files are missing or corrupted, try reinstalling the application.

Not InvOKed by the desired application. The application Name passed by invoking the application is not found in the registry.

Try uninstalling and reinstalling the application.

722

The Selected file is not a valid layout for this application.

The layout belongs to some other application.

The layout file being opened belongs to an older application, may have been uninstalled. It is not possible to open a file belonging to another application.

723

Layout file is not valid for the current version of the Application.

The layout was created for some other version of the application.

The opened layout file belongs to a different version of the same application, may have been uninstalled. It is not possible to open a file belonging to another version.

Template Editor Error Codes

761

Error in Initialization of Application.

The Dlls and application executables are not properly installed.

Try uninstalling and reinstalling the application.

762

Error!! : Invalid Application Name

Registry Entries are not appropriate.

Try uninstalling and reinstalling the application.

763

Error!! The Selected file is not a valid template for this application.

The template belongs to some other application

The opened template file belongs to a different version of the same application, may have been uninstalled. It is not possible to open a file belonging to another version.

764

Error !!: Template file is not valid for the current version of the Application.

The template was created for the some other version of the application.

The opened template file belongs to a different version of the same application, may have been uninstalled. It is not possible to open a file belonging to another version.

765

A Group with the specified name already exists.

User tried to create a custom group with the same name as an existing group.

Try using a different name than the existing groups

Oscilloscope Interface Error Codes

781

MFC initialization failed.

The MFC Dlls are not properly installed.

Reinstall the application.

782

Error in creating or setting system resource

The system resources required for communication are already open.

Close all application related executables and try again.

783

RGScope already running.

RGScope.exe is already running on the system.

Close RGScope and restart the application.

784

Memory Exception Occurred + <context specific message>

Illegal memory access.

Close the application and restart.

785

An Exception Occurred.

An unknown exception occurred in the application.

Close the application and restart.

786

File Exception Occurred + <context specific message>

Exception occurred while accessing a file

Close the application and restart.

787

Error in acquiring window resources + <context specific message> .

The application was not able to acquire windows resources such as GDI objects.

Close the application and restart.

788

Failed to connect to the oscilloscope

The application was not able to connect to the oscilloscope. Make sure the TekScope.exe is running.

If this does not solve the problem reinstall the application.

789

Error querying Registry

The required registry key doesn’t exist or an error occurred while getting it’s value.

Close the application and restart. If this does not solve the problem reinstall the application.

790

Error in reading FDB file

The FDB file doesn’t exist or it may be read-only.

Make sure the FDB file is present and not read-only. If this does not solve the problem reinstall the application.

791

Invalid Frame received

Oscilloscope interface received an invalid message from RG interface.

Close the application and restart.

792

Error in Allocating Memory

Error in getting memory from the system

Quit one or more applications running on the system and restart RGApp.

793

<context specific message>

Error in creating the jpeg file.

Make sure the “temp” folder exists and there is space on the hard disk drive.

Message boxes and dialogs in the user interface

701

Error Initializing Report Generator.

System resources can't be allocated Try closing some of the other applications.

If this does not work, then uninstall and reinstall the application.

702

No valid file name was provided.

This happens when no filename is selected in Application for generating a report .

Select a valid file.

703

<Path of the file selected>.

The template file name is invalid.

The reading of the template file fails. This will happen if the application fails to read the rgt file.

Select another valid template file.

704

<filename> is not a valid Report Layout..

An invalid report layout was provided.

This happens if the application fails to read the layout file.

Select another valid layout file.

705

<filename> is not a valid Report Layout file for the Application

The layout is not valid for the application. This means that the file was read properly but the application and version for the rpl file don’t match the application.

Select another valid layout file for the application.

706

Invalid Report file specified.

A file other than the Report Generator file(s) is selected with the extension (rpt rgt rpl) used by Report Generator files.

Select another valid file.

707

Invalid File Format.

Other file types such as text are selected

Select another valid file.

708

<filename> is not a valid report file for <AppName>

The application name and version for the report file do not match that of application.

Select another valid report file for that application.

709

Unable to read the Report file.

An exception occurs for a rpt file.

This happens if the application cannot read the report .rpt file.

Select another valid report file for that application.


rgt

.rgt is a customized Report Generation file format, indicates the template files.


rpl

.rpl is a customized Report Generation file format, indicates the defined layout files.


rpt

.rpt is a customized Report Generation file format, indicates the generated report.


Keyboard

Virtual Keyboard

Selecting [image] displays the Virtual Keyboard similar to the keyboard. The field on the top displays what you have selected. After you have selected the required content, select Enter.


Application Fields

The following table lists the options and sub menus for 1000BASE-T. You can drag and drop any of these fields.

Options |  | Sub menus
Configuration Parameters |  |
Signal Source |  |
Clock/REF Source |  |
Slave Clock Source |  |
Disturbing Signal |  |
Filter |  |
Acquisition Mode |  |
Result |  |
Templates |  | Point A Test Result
 |  | Point B Test Result
 |  | Point C Test Result
 |  | Point D Test Result
 |  | Point F Test Result
 |  | Point H Test Result
Peak Volt |  |
 | Point A | Peak Volt Point A Test Result
 |  | Peak Volt Point A Peak
 | Point B | Peak Volt Point B Test Result
 |  | Peak Volt Point B Peak
 | Diff A, B | % Diff A, B
 |  | Diff A, B Test Result
 | Point C | Peak Volt Point A Peak
 |  | Peak Volt Point B Peak
 |  | Peak Volt Point C Peak
 |  | Peak Volt % Diff C
 |  | Peak Volt Point C Limit
 | Point D | Peak Volt Point A Peak
 |  | Peak Volt Point B Peak
 |  | Peak Volt Point D Peak
 |  | Peak Volt % Diff D
 |  | Peak Volt Point D Limit
Droop | Point G | Droop Point F Peak
 |  | Droop Point G Peak
 |  | Droop Point G Limit
 | Point J | Droop Point H Peak
 |  | Droop Point J Peak
 |  | Droop Point J Limit
Jitter | Master | Pk-Pk Master Filtered Jitter
 |  | Pk-Pk Master Filtered Jitter Test Result
 |  | Pk-Pk Master Unfiltered Jitter
 |  | Pk-Pk Master Unfiltered Jitter Test Result
 | Slave | Pk-Pk Slave Filtered Jitter
 |  | Pk-Pk Slave Filtered Jitter Test Result
 |  | Pk-Pk Slave Unfiltered Jitter
 |  | Pk-Pk Slave Unfiltered Jitter Test Result

The following table lists the options and sub menus for 100BASE-TX. You can drag and drop any of these fields.

Options | Sub menus
Configuration Parameters |
Signal Source |
Results |
Differential Signal Amplitude | Positive Amplitude (+Vout)
 | Negative Amplitude (-Vout)
 | Differential Signal Amplitude Test Result
 | Positive Amplitude (+Vout) Image
 | Negative Amplitude (+Vout) Image
Signal Amplitude Symmetry | Signal Amplitude Symmetry
 | Signal Amplitude Symmetry Test Result
Rise and Fall Times | Positive Rise Time
 | Positive Fall Time
 | Negative Rise Time
 | Negative Fall Time
 | Rise Time Test Result
 | Fall Time Test Result
 | Negative Pulse Image
 | Positive Pulse Image
Rise and Fall Time Symmetry | Rise/Fall Time Symmetry
 | Rise/Fall Time Symmetry Test Result
Waveform Overshoot | Positive Overshoot
 | Negative Overshoot
 | Waveform Overshoot Test Result
 | Positive Overshoot Image
 | Negative Overshoot Image
AOI Template | AOI Template Test Result
 | AOI Template Image
Duty Cycle Distortion | Maximum Duty Cycle Distortion
 | Duty Cycle Distortion Image
 | Duty Cycle Distortion Test Result
Jitter | Jitter
 | Jitter Test Result

The following table lists the options and sub menus for 10BASE-T. You can drag and drop any of these fields.

Options | Sub menus
Configuration Parameters |
Signal Source |
Results |
Templates | MAU External Template Test Result
 | MAU Internal Template Test Result
 | Link Pulse Template Test Result
 | TP_IDL Template Test Result
 | MAU External Inverted Template Test Result
 | MAU Internal Inverted Template Test Result
Diff Peak Volt | Min Diff Peak Voltage
 | Max Diff Peak Voltage
 | Diff Peak Voltage Test Result
Jitter | Pk-Pk Jitter with Cable
 | Pk-Pk Jitter with Cable Test Result
 | Pk-Pk Jitter without Cable
 | Pk-Pk Jitter without Cable Test Result